Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » "The import java.util.Base64 cannot be resolved"(Cannot test using Base64)
"The import java.util.Base64 cannot be resolved" [message #1801436] Sat, 19 January 2019 02:59 Go to next message
Bob Glover is currently offline Bob GloverFriend
Messages: 2
Registered: January 2019
Junior Member
I want to try a "SIMPLE" encrypt/decrypt routine which uses Base64.getEncoder() & Bae64. getDecoder(). Importing "java.util.Base64" gets me the error seen in the title of this case. I am on Java JDK 10.0.2 , 2018-07-17 and Eclipse was installed on November 2, 2018. It seems to me as if the routine is missing, but its been around since before I installed both products. Can you suggest a solution? THANKS!
Re: "The import java.util.Base64 cannot be resolved" [message #1801437 is a reply to message #1801436] Sat, 19 January 2019 03:04 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3712
Registered: July 2009
Senior Member

Does your project's JRE System Library still point to a valid JDK? Eclipse wouldn't be aware of applied updates to one, for instance, until you update the Installed JREs preference page.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: "The import java.util.Base64 cannot be resolved" [message #1801449 is a reply to message #1801437] Sat, 19 January 2019 14:55 Go to previous message
Bob Glover is currently offline Bob GloverFriend
Messages: 2
Registered: January 2019
Junior Member
Thanks for the note. I haven't updated Eclipse at all. When I check the "check for updates" under help, it comes back wanting me to enter a web address. Don't know what it wants. Can you suggest one?
Previous Topic:Oxygen 3 "window not responding "
Next Topic:Syntax highlighting for FTP Files
Goto Forum:
  


Current Time: Sat Jun 06 05:42:24 GMT 2020

Powered by FUDForum. Page generated in 0.02454 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top